=== debian/control ===
Source: golang-github-hdrhistogram-hdrhistogram-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-stretchr-testify-dev,
               golang-gonum-v1-gonum-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go.git
Homepage: https://github.com/HdrHistogram/hdrhistogram-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/HdrHistogram/hdrhistogram-go

Package: golang-github-hdrhistogram-hdrhistogram-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-stretchr-testify-dev,
         golang-gonum-v1-gonum-dev,
         ${misc:Depends}
Description: pure Go implementation of Gil Tene's HDR Histogram
 This package contains a pure Go implementation of the HDR Histogram
 .
 A Histogram that supports recording and analyzing sampled data value
 counts across a configurable integer value range with configurable value
 precision within the range. Value precision is expressed as the number
 of significant digits in the value recording, and provides control over
 value quantization behavior across the value range and the subsequent
 value resolution at any given level.
