## golang-github-hdrhistogram-hdrhistogram-go 1.2.0+ds

=== debian/changelog ===
golang-github-hdrhistogram-hdrhistogram-go (1.2.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release:
    - Exclude pre-compiled golangci-lint binary from source
    - Drop patch skipping some tests and instead include necessary test files
      in the package
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Dec 2025 18:06:15 +0000
