=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-stretchr-testify-dev,
                golang-gonum-v1-gonum-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go.git
 Homepage: https://github.com/HdrHistogram/hdrhistogram-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/HdrHistogram/hdrhistogram-go
 
 Package: golang-github-hdrhistogram-hdrhistogram-go-dev
