=== debian/rules ===
#!/usr/bin/make -f

# Include test logs
export DH_GOLANG_INSTALL_EXTRA := test/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
