=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-hdrhistogram-hdrhistogram-go-$1.tar.gz%,\
      oversionmangle=s/(\d\S+)/$1+ds/, dversionmangle=s/\+ds(\.?\d+)?$//" \
  https://github.com/HdrHistogram/hdrhistogram-go/tags .*/v?(\d\S*)\.tar\.gz debian
